const package = require('./package');
const spawn = require('cross-spawn').spawn;
const writeFileSync = require('fs').writeFileSync;

const createTimestamp = () => {
  // YYYYMMDDHHMM
  const d = new Date();
  return [
    d.getUTCFullYear(), // YYYY
    ('0' + (d.getUTCMonth() + 1)).slice(-2), // MM
    ('0' + (d.getUTCDate())).slice(-2), // DD
    ('0' + (d.getUTCHours())).slice(-2), // HH
    ('0' + (d.getUTCMinutes())).slice(-2) // MM
  ].join('');
}

let version = null;

const cmdCheckVersion = spawn('npm', ['info', 'bee-ui']);

cmdCheckVersion.stdout.on('data', data => {
  data = eval("(" + data.toString() + ")");
  version = data.version;
});

cmdCheckVersion.on('close', () => {
  if (version === null) return;

  if (version !== package.version) {
    spawn('npm', ['publish']);
  }

  package.version = [package.version, createTimestamp()].join('-');
  writeFileSync('./package.json', JSON.stringify(package, null, 2));
  spawn('npm', ['publish', '--tag=nightly']);
});

