import React, {
  PropTypes,
  Component,
} from 'react';

import {
  View,
  StyleSheet,
} from 'react-native';

const styles = StyleSheet.create({
  xAxis: {
    flex: 1,
  },
  borderContainer: {
    flex: 1,
    flexDirection: 'row',
  },
});

class AxisXContainer extends Component {
  static propTypes = {
    children: PropTypes.array,
    style: View.propTypes.style,
  }
  static defaultProps = {
    children: [],
    style: null,
  }
  render() {
    return (
      <View style={[styles.xAxis, this.props.style]}>
        <View style={styles.borderContainer}>
          {this.props.children}
        </View>
      </View>
    );
  }
}

export default AxisXContainer;
