## Picker 选择器


### 基础版
```jsx
<Text onPress={() => this.setState({ visible: true })}>戳我</Text>
{this.state.visible && (
    <Picker onCancel={} onChange={}>
        <Picker.Item>名称错误</Picker.Item>
        <Picker.Item>店铺拆迁</Picker.Item>
        <Picker.Item>位置错误</Picker.Item>
    </Picker>
)}
```


### 选中
```jsx
<Text onPress={() => this.setState({ visible: true })}>戳我</Text>
{this.state.visible && (
    <Picker>
        <Picker.Item picked>名称错误</Picker.Item>
        <Picker.Item>店铺拆迁</Picker.Item>
        <Picker.Item>位置错误</Picker.Item>
    </Picker>
)}
```


### 替换值
```jsx
<Text onPress={() => this.setState({ visible: true })}>戳我</Text>
{this.state.visible && (
    <Picker>
        <Picker.Item value={{ error: '', key: '', value: '' }}>名称错误</Picker.Item>
        <Picker.Item>店铺拆迁</Picker.Item>
        <Picker.Item>位置错误</Picker.Item>
    </Picker>
)}
```


### 多选
```jsx
<Text onPress={() => this.setState({ visible: true })}>戳我</Text>
{this.state.visible && (
    <Picker multiple onDone={}>
        <Picker.Header>你好</Picker.Header>
        <Picker.Item>名称错误</Picker.Item>
        <Picker.Item>店铺拆迁</Picker.Item>
        <Picker.Item>位置错误</Picker.Item>
    </Picker>
)}
```


### 自定义
> `View` 要根据 `Picker.Item` 向子传递的 `picked` 属性实现相应的样式
```jsx
<Text onPress={() => this.setState({ visible: true })}>戳我</Text>
{this.state.visible && (
    <Picker>
        <Picker.Item>
            <Text>名称错误</Text>
        </Picker.Item>
        <Picker.Item picked value>
            <View>店铺拆迁</View>
        </Picker.Item>
        <Picker.Item>
            <SwagCheck></SwagCheck>
        </Picker.Item>
    </Picker>
)}
```
