import React, {
  Component, PropTypes,
} from 'react';

import {
  TouchableWithoutFeedback, View,
} from 'react-native';

import Text from './stringToText';

class Header extends Component {
  // 初始化外界参数
  constructor(props) {
    super(props);
    this.componentWillReceiveProps(props);
  }

  // 将变更同步到 state
  componentWillReceiveProps = (props) => {
    this.state = { ...props };
  }

  // 缩短 state 链路
  set state(state) {
    state && Object.keys(state).forEach(key => this[key] = state[key]);
  }

  // 渲染
  render() {
    const { children, onPressLeft, onPressRight, style } = this;
    if (Text.isText(children)) {
      return (
        <View style={[{ flexDirection: 'row', justifyContent: 'space-between', alignItems: 'center', height: 60, paddingHorizontal: 12 }, style]}>
          <TouchableWithoutFeedback onPress={onPressLeft}>
            <Text style={{ fontSize: 14 }}>取消</Text>
          </TouchableWithoutFeedback>
          <Text style={{ fontSize: 16 }}>{children}</Text>
          <TouchableWithoutFeedback onPress={onPressRight}>
            <Text style={{ fontSize: 14 }}>确定</Text>
          </TouchableWithoutFeedback>
        </View>
      );
    }
    return children;
  }
}

export default Header;
